com.tibco.datagrid

## Enum ColumnType

- java.lang.Object
- - java.lang.Enum<ColumnType>
  - - com.tibco.datagrid.ColumnType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ColumnType>

      public enum ColumnType
      extends java.lang.Enum<ColumnType>

  The enum representing a column type from a row or table.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DATETIME`
    `DOUBLE`
    `INVALID`
    `LONG`
    `OPAQUE`
    `STRING`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ColumnType` | `fromString(java.lang.String typeName)` Get the column type enum from a string representation.
    `java.lang.String` | `toString()` Get the string representation of the column type.
    `static ColumnType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ColumnType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INVALID

          public static final ColumnType INVALID

    - #### LONG

          public static final ColumnType LONG

    - #### STRING

          public static final ColumnType STRING

    - #### OPAQUE

          public static final ColumnType OPAQUE

    - #### DATETIME

          public static final ColumnType DATETIME

    - #### DOUBLE

          public static final ColumnType DOUBLE

    - #### UNKNOWN

          public static final ColumnType UNKNOWN

  - ### Method Detail

    - #### values

          public static ColumnType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ColumnType c : ColumnType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ColumnType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Get the string representation of the column type.
      Overrides:
        `toString` in class `java.lang.Enum<ColumnType>`
      Returns:
        the corresponding string name for the column type

    - #### fromString

          public static ColumnType fromString(java.lang.String typeName)

      Get the column type enum from a string representation.
      Parameters:
        `typeName` - The string type name to convert.
      Returns:
        a column type enum